Package org.jboss.classfilewriter.constpool

# Class IntegerEntry

java.lang.Object
org.jboss.classfilewriter.constpool.ConstPoolEntry
org.jboss.classfilewriter.constpool.IntegerEntry

All Implemented Interfaces:
  `WritableEntry`

public class IntegerEntry extends ConstPoolEntry

## Constructor Summary

Constructors
Constructor
Description
`IntegerEntry(int value)`

## Method Summary

Modifier and Type
Method
Description
`ConstPoolEntryType`
`getType()`
`void`
`writeData(DataOutputStream stream)`

### Methods inherited from class org.jboss.classfilewriter.constpool.ConstPoolEntry

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntegerEntry

public IntegerEntry(int value)

## Method Details

### getType

public ConstPoolEntryType getType()

Specified by:
  `getType` in class `ConstPoolEntry`

### writeData

public void writeData(DataOutputStream stream) throws IOException

Specified by:
  `writeData` in class `ConstPoolEntry`
Throws:
  `IOException`